import { useLocation } from 'react-router-dom';
import { IFlight } from '../../../services/Dashboard/CustomerDashboard';
import './BookingCard.scss';

interface IBookingCard {
  flight: IFlight
}

function BookingCard({ flight }: IBookingCard) {
  const location = useLocation();
  const isEconomy = location.search.split('seatType=')[1] === 'economy';

  const handleClick = () => {
    console.log('ready to redirect:', flight.id);
  };

  return (
    <>
      <div className='booking-card'>
        <div className='booking-card-details'>
          <div className='item'>
            <span>Departure Time:</span>
            <span>{flight.departureTime}</span>
          </div>

          <div className='item'>
            <span>Arrival Time:</span>
            <span>{flight.arrivalTime}</span>
          </div>
        </div>

        <div className='price'>
          <div className='price-label'>
            <span>{isEconomy ? 'Economy' : 'Business'} Price:</span>
            <span>£{isEconomy ? flight.economyPrice : flight.businessPrice}</span>
          </div>
          <button type='button' onClick={handleClick}>Purchase</button>
        </div>
      </div>
    </>
  );
}

export default BookingCard;